<script setup lang="ts">
import { Birdhouse } from "../../types/models";
import { defineProps } from "vue";

defineProps({
  birdhouse: {
    type: Object as () => Birdhouse,
    required: true,
  },
});

</script>

<template>
  <div class="bg-dark-charcoal-gray p-6 shadow-md rounded-xl">
    <h2 class="text-white text-2xl font-poppins font-semibold">{{ birdhouse.name }}</h2>
    <div class="flex items-center mt-4">
      <img src="@/assets/icons/location.svg" alt="Location" class="mr-3"/>
      <span class="text-white text-base font-medium">({{ birdhouse.latitude }}, {{ birdhouse.longitude }})</span>
    </div>

    <div class="flex items-center mt-2">
      <img src="@/assets/icons/bird.svg" alt="Bird" class="mr-2"/>
      <span class="text-white text-base font-normal mr-2.5">{{ birdhouse.birds }}</span>

      <img src="@/assets/icons/egg.svg" alt="Egg" class="mr-2"/>
      <span class="text-white text-base font-normal">{{ birdhouse.eggs }}</span>
    </div>
  </div>
</template>